package models

import (
	"github.com/jmoiron/sqlx"
	polochon "github.com/odwrtw/polochon/lib"
)

// Backend represents the data backend
type Backend struct {
	Database   *sqlx.DB
	configured bool
}

// Name implements the Module interface
func (b *Backend) Name() string {
	return "canape-backend"
}

// Init implements the module interface
func (b *Backend) Init([]byte) error {
	b.configured = true
	return nil
}

// Status implements the Module interface
func (b *Backend) Status() (polochon.ModuleStatus, error) {
	return polochon.StatusOK, nil
}
